#define NOMINMAX
#include <QFile>
#include <QTextStream>
#include <QtWidgets/QApplication>

#include "darkstyle/DarkStyle.h"
#include "darkstyle/framelesswindow/framelesswindow.h"
#include "qvirt_handlers.h"
#include "qvirt_instrs.h"
#include "qvminspector.h"

int WinMain( HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nShowCmd )
{
    QApplication app( __argc, __argv );
    QApplication::setStyle( new DarkStyle );
    FramelessWindow frameless_window;
    const auto window = new qvminspector_t;
    qvirt_instrs_t virt_instr( window );
    qvirt_handlers_t virt_handlers( window );

    frameless_window.setContent( window );
    frameless_window.setWindowIcon( QIcon( "icon.ico" ) );
    frameless_window.show();
    return app.exec();
}